SDL_TryLockMutex(3)

NAME
SDL_TryLockMutex - Try to lock a mutex without blocking.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

bool SDL_TryLockMutex(SDL_Mutex *mutex);

DESCRIPTION
This works just like SDL_LockMutex(), but if the mutex is not available, this function returns false immediately.

This technique is useful if you need exclusive access to a resource but don't want to wait for it, and will return to it to try again later.

This function returns true if passed a NULL mutex.

FUNCTION PARAMETERS

mutex
    the mutex to try to lock.

RETURN VALUE
Returns true on success, false if the mutex would block.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_LockMutex(3), SDL_UnlockMutex(3)